Opt-Out Image Series
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/fppSeriesOptOut
Do not use this FPP image series from Enterprise Manager.
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectOpt-Out details for the FPP series
Match All
Opt-Out details for the FPP series
Show Source
-
object
FppSeriesOptOutInputDetails
FPP image series details
Nested Schema : FppSeriesOptOutInputDetails
Type:
objectFPP image series details
Show Source
-
series: array
series
Array of the image series
Nested Schema : items
Type:
Show Source
object-
seriesId: string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Match One Schema
Show Source
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. FPP image series Opt-Out completed.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
allOf
GoldImageFppSeriesOptOut
FPP image series Opt-Out response
Nested Schema : GoldImageFppSeriesOptOut
Type:
objectFPP image series Opt-Out response
Match All
FPP image series Opt-Out response
Show Source
-
object
FppSeriesOptInOptOutResult
FPP image series Opt-In/Out result
Nested Schema : FppSeriesOptInOptOutResult
Type:
objectFPP image series Opt-In/Out result
Show Source
-
failed: integer
Count of failed series
-
items: array
items
List of items
-
successful: integer
Count of successful series
-
total: integer
Count of total series
Nested Schema : items
Type:
arrayList of items
Show Source
-
Array of:
object FppSeriesOptInResultSummary
FPP image series Opt-In response
Nested Schema : FppSeriesOptInResultSummary
Type:
objectFPP image series Opt-In response
Show Source
-
code: integer
Series Opt-In HTTP status code
-
message: string
Opt-In message
-
seriesId: string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Examples
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message